list scopes.md

List Scopes

Management API · Scopes

GET https://app.mk.io/api/v1/organization/scopes

Returns details of all Scopes.

RBAC Capability Required: core.scope.get

Authentication

Example request

curl -X GET "https://app.mk.io/api/v1/organization/scopes" \
  -H "Authorization: Bearer <token>"

Responses

200 — A list of all scopes

Example:

{
  "kind": "string",
  "value": [
    {
      "kind": "string",
      "metadata": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string"
      },
      "spec": {
        "description": "string",
        "resources": [
          {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "string"
          }
        ]
      }
    }
  ]
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: management-api · operationId: [get]_/api/v1/organization/scopes